using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public enum AmmoType
{
	CannonShot,
	ChainShot
}

public class ArmouryRoom : BaseRoom
{

	int cannonballAmmoCount = 100;
	int chainshotAmmoCount = 25;

	public bool PickUpAmmo (AmmoType ammoType)
	{
		switch (ammoType) {
		case AmmoType.CannonShot:
			if (cannonballAmmoCount > 0)
				cannonballAmmoCount--;
			else
				return false;
			break;
		case AmmoType.ChainShot:
			if (chainshotAmmoCount > 0)
				chainshotAmmoCount--;
			else
				return false;
			break;
		default:
			return false;
		}
		return true;
	}

	public void AddCannonBalls (int value)
	{
		cannonballAmmoCount += value;
	}

	public void AddChainShots (int value)
	{
		chainshotAmmoCount += value;
	}
}
